<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>
	<!-- 生命周期 -->
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">基础活动管理</a></div>
		<div class="common_content_title">活动设置</div>
		<div class="clearfix contactDetailed fenzuDetailed" style="margin-top:0px;margin-left:0px; overflow-y:auto;background: #fff; ">
		<div id="div-title-first" style="background-image:url('../../scrm/img/activity-step1.png');border-bottom:1px solid #D2D2D2; background-size:100% 100%; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 20%;">活动设置</span>
			<span style="padding:0px 20%;color:black;">活动时间</span>
		</div>
		<div id="div-title-second" style="background-image:url('../../scrm/img/activity-step2.png');border-bottom:1px solid #D2D2D2; display:none;
			background-size:100% 100%;text-align:right; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 20%;color:black;">活动设置</span>
			<span style="padding:0px 20%;">活动时间</span>
		</div>
			<!-- 
			<button type="button" class="icon detailed_close" id="closeSetting"></button>
			 -->
			<div class="common_content_title">&nbsp;&nbsp;<span id="title"></span></div>
			<div>
				<form id="form-activitySetting">
				<ul id="ul-show-first">
						<li>
							<span>活动名称</span>
							
							<input type="hidden" name="activityInstanceId" id="activityInstanceId" value="">
							<input type="hidden" name="activityCode" id="activityCode" value="">
							<input name="activityInstanceName" id="activityInstanceName" data-options="required:true,length:'100'" size="16" type="text" class="form-control input140" value="">
						</li>
						<li class="clearfix" >
							<span class="fl margintop8">
								奖励人员
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input2">
										<div id="" class="inline_input2 fl">	
											<span>
												<input type="checkbox" name="memberTagesCheck" id="setting-memberTages" value="" />
											标签</span>
											<div class="relative">
											<input name="member_tag_id" id="member_tag_id" size="16" type="hidden" value="">
												<input name="member_tag_name" id="labelChooseBtn-activitySetting" size="16" type="text" class="form-control"  value="">
											</div> 
										</div>
										
										<div id="reward" class="inline_input2 fl" style="display: none;">	
											<span style="">
												<input type="checkbox" name="memberGroupsCheck" id="memberGroupsCheck" value="" />
												分组   
											 </span>
											<div class="relative">
													<input type="hidden" name="member_group" id="member_group" value="" />
													<input id="member_group_view"  size="16" type="text" class="form-control" value="" input-type="select" disabled>
													<ul class="dropdown-menu" data="" >
													</ul>
													<i id="memberGroupsCheck_icon" class="input_icon input_down" style="z-index:-1"></i>
											</div>
										</div>
									</div>
								</ol>
							</ul>
						</li>
						
						<li class="clearfix" id="dengJiMingChen">
							<span class="fl margintop8">
								等级名称
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input type="hidden" name="member_grade" id="member_grade" value="" />
												<input size="16" id="member_grade_view" type="text" class="form-control" value="" input-type="select" readOnly>
												<ul class="dropdown-menu" data="">
													<!-- <li data-id="1">
														<a href="#"></a>
													</li>
													<li data-id="2">
														<a href="#">金卡</a>
													</li>
													<li data-id="3">
														<a href="#">白金卡</a>
													</li> -->
												</ul>
											<i class="input_icon input_down"></i>
										</div>
									</div>
								</ol>
							</ul>
						</li>
						
						<li class="clearfix"  id="wanShangXinxi">
							<span class="fl margintop8">
								需完善信息
								<span class="mustInput">*</span>
							</span>
							<ol>
								<div class="inline_input">
									<span>
										<input type="checkbox" name="member_info" id="city" value="geoId" />&nbsp;&nbsp;城市
									</span>
									<span>
										<input type="checkbox" name="member_info" id="name" value="memberName" />&nbsp;&nbsp;姓名  
									</span>
									<span>
										<input type="checkbox" name="member_info" id="age" value="gender" />&nbsp;&nbsp;性别 
									</span>
									<span>
										<input type="checkbox" name="member_info" id="birthday" value="birthday" />&nbsp;&nbsp;生日
									</span>
									<span>		
										<input type="checkbox" name="member_info" id="email" value="email" />&nbsp;&nbsp;邮箱
									</span>
									<span>			
										<input type="checkbox" name="member_info" id="mobile" value="mobile" />&nbsp;&nbsp;手机
									</span>
									<span>
										<input type="checkbox" name="member_info" id="isHasChild" value="isHasChild" />&nbsp;&nbsp;是否有孩子
									</span>
								</div>
							</ol>
						</li>
					<li class="clearfix" id="huanXinSheZhi">
							<span class="fl margintop8">
								唤醒设置：
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											未消费时间达<input size="16" name="wake_date" id="wake_date" type="text" class="form-control" value="" data-options="required:false,length:'3',validType:'positiveInteger'">天
										</div>
									</div>
								</ol>
							</ul>
						</li>
						
						
						<li class="clearfix" id="teDingRiQi">
							<span class="fl margintop8">
								特定日期
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input type="hidden" name="appoint_date" id="appoint_date" value="" />
												<input size="16" id="appoint_date_view" type="text" class="form-control" value="" input-type="select" readOnly>
												<ul class="dropdown-menu" data="">
												</ul>
											<i class="input_icon input_down"></i>
										</div>
									</div>
								</ol>
							</ul>
						</li>
						
						
						<li class="clearfix" id="faFangShiJian">
							<span class="fl margintop8">
							<span class="mustInput">*</span>
								发放时间
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input type="hidden" name="send_date_type" id="send_date_type" value="" />
											<input size="16" id="send_date_view" type="text" class="form-control" value="" input-type="select" readOnly >
												<ul class="dropdown-menu">
													<li data-id="1">
														<a href="#" onclick="javascript:showSendDate(1);">当日</a>
													</li>
													<li data-id="2">
														<a href="#" onclick="javascript:showSendDate(2);">所选日期前</a>
													</li>
													<!-- <li data-id="3">
														<a href="#" onclick="javascript:showSendDate(3);">所选日期月初</a>
													</li> -->
												</ul>
											<i class="input_icon input_down"></i>
										</div>
										
										<div class="relative" id="faFangShiJian_div">
											<input style="width: 160px;display: inline-block;" type="text" size="16" class="form-control" placeholder="请输入整数" name="send_date_value" id="send_date_value" value="" 
												data-options="required:false,length:'3',validType:'positiveInteger'"/>天
										</div>
											
									</div>
								</ol>
							</ul>
						</li>
						
						<li class="clearfix" id="zhiDingChanPin">
							<span class="fl margintop8">
								指定产品
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input size="16" name="appoint_product" id="appoint_product" type="hidden" value="" >
											<input size="16" name="appoint_productName" id="appoint_productName" type="text" class="form-control" value="" placeholder="请选择产品" input-type="select" readOnly>
										</div>
										
											
										<span style="margin-left: 2px;width: 175px;">
											所有指定产品总数不少于: 
										 </span>
										<div class="relative">
											<input class="form-control" placeholder="请输入整数" name="appoint_productNum" id="appoint_productNum" value="" data-options="length:'5',validType:'positiveInteger'"/>
										</div>
									</div>
								</ol>
							</ul>
						</li>
						
						<li class="clearfix" id="zhiDingXiaoFei">
							<span class="fl margintop8">
								指定消费额
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input type="hidden" name="consumption" id="consumption" value="" />
												<input size="16" id="consumption_view" type="text" class="form-control" value="大于等于" input-type="select" disabled="true">
												<ul class="dropdown-menu">
												<li data-id="1">
													<a href="javascript:;">大于等于</a>
												</li>
												</ul>
											<!-- <i class="input_icon input_down"></i> -->
										</div>
										
										<div class="relative">
											<input class="form-control" placeholder="请输入整数" name="appoint_amount" id="appoint_amount" value="" data-options="length:'5',validType:'rtZero'" />
										</div>
											元
									</div>
								</ol>
							</ul>
						</li>
						
						<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;">
							<span class="fl margintop8"><span class="mustInput">*</span>奖励方式</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span>
											<input name="pointsOrcoupon" id="pointsOrcoupon_coupons" type="radio" value="coupon" /> 送券    
										</span>
										<span>
											<input name="pointsOrcoupon" id="pointsOrcoupon_points" checked="checked" type="radio" value="points" /> 送积分    
										</span>
									</div>
								</ol>
							</ul>
						</li>
						
						<li id="li-points" class="clearfix" style="zoom:1; display:inline;">
							<!-- <span class="fl margintop8" style="width: 250px;">
							</span> -->
							<div style="width:90%;height:60px;padding: 0 200px;">
								<div>
									<select id="give_points_type" name="give_points_type" style="display:none; width:100px;height:35px;" data-options="panelHeight:'auto'">
										<option value="1">按比率奖励</option>
										<option value="2">单次奖励</option>
									</select>
									<font id="font-points-desc1" style="display:none;">
										每消费                
									</font>
									<input  class="form-control" placeholder="" style="width: 84px;display:inline-block;" name="give_points" id="give_points" value="" data-options="length:'5',validType:'rtZero'" />
									<!-- 
									<input  class="form-control" placeholder="" style="width: 84px;display:inline-block;" name="give_points_amount" id="give_points_amount" value="" data-options="length:'5',validType:'rtZero'" />
									 -->
									<font id="font-points-desc2" style="display:none;">
										元，赠送1积分（向下取整)
									</font>
								</div>
								
								<!-- 
								
								<ul class="clearfix fl" style="display:none;">
									<ol>
										<div class="inline_input">
											<span>积分名称: </span>
											<div class="relative" >
												<input type="hidden" name="give_points" id="give_points" value="" />
												<input size="16" type="text" id="points_view" class="form-control" value="" input-type="select" readOnly>
												<ul class="dropdown-menu" data="">
												</ul>
												<i class="input_icon input_down"></i>
											</div>
										</div>
									</ol>
								</ul>
								 -->
							</div>
						</li>
						
						<div id = "coupon-div" style="display: none;margin-left:100px;">
							<input type="hidden" name="give_coupons" id="give_coupons" value="" />
							<table id="activitySetting-coupon-table" class="easyui-datagrid" style="width:90%;height:200px" 
								data-options="pagination:true,singleSelect:true,collapsible:true,idField:'couponId'">
								<thead>
									 <tr>
						                <th data-options="field:'couponId',hidden:true,width:100">&nbsp;&nbsp;</th>
						                <th data-options="field:'couponName',width:120,align:'center'">优惠券名称</th>
						                <th data-options="field:'thruDate',width:150,align:'center'
											,formatter : function(value, row, index) {return getDateString(value);}">有效期</th>
						                <th data-options="field:'couponTypeName',width:150,align:'center'">券类型</th>
						                <!-- <th data-options="field:'issueProportion',width:150,align:'center'">数量</th> -->
						                <th data-options="field:'availableQuantity',width:150,align:'center',
						                	formatter:function(value,row,index){return available_show(value,row,index);}">剩余张数</th>
						                <th data-options="field:'lastPublishTime',width:150,align:'center',
						                	formatter:function(value,row,index){return formatProgress_coupon(value,row,index);}">发放数量</th>
						            </tr>
								</thead>
							</table>
						</div>
						<li class="">
							<span class="fl">使用说明</span>
							<textarea name="activityInstanceDesc" id="activityInstanceDesc" class="form-control input780" rows="3" placeholder="最多可以输入200个字符" data-options="required:false,length:'200'"></textarea>
						</li>
					</ul>
				<!----------------------- 设置页面第一步结束----------------------- -->
							
				<!----------------------- 设置页面第二步----------------------- -->
					<ul id="ul-show-second" style="display: none;">
						<li class="clearfix">
							<span class="fl margintop8">
								开始时间
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input name="fromDate" id="fromDate" class="Wdate date_input" type="text" value=""
												 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'%y-%M-%d',maxDate:'#F{$dp.$D(\'fixedDate\')}'})" readonly />
										</div>
									</div>
								</ol>
							</ul>
						</li>
						<li class="clearfix">
							<span class="fl margintop8">
								结束时间
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="fixedDate_check" type="radio" value="fixed" /> 固定日期  </span>
										<div class="relative">
											<input id="fixedDate" class="Wdate date_input" type="text" value=""
												 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'fromDate\')}'})" readonly />
										</div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="periodDays_check" type="radio" value="period" /> 固定时间段  </span>
										<div class="relative">
											活动开始后
											<input id="periodDays" size="16" type="text" class="form-control input50" value="" data-options="required:false,length:'3',validType:'positiveInteger'"> 天
										</div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="last_check" type="radio" value="forever" /> 无截止日期      </span>
										<i>可在活动历史中手动中止</i>
									</div>
								</ol>
							</ul>
						</li>
						
						<!-- <li class="clearfix">
							<span class="fl margintop8">
								使用模板
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span> 这是个模板  </span>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input type="checkbox" name="templateType" id="smsTmp" value="msg" />短信模板    </span>
										<div class="relative">
											<input type="hidden" name="sms_temp" id="sms_temp" value="" />
											<input size="16" type="text" id="sms_temp_view" class="form-control" value="" input-type="select" readOnly>
											<ul class="dropdown-menu" data="" >
											</ul>
											<i class="input_icon input_down"></i>
										</div>
									</div>
								</ol>
							</ul>
						</li> -->
						
					</ul>
					&nbsp;&nbsp;<button id="nextBtn-form-activitySetting" type="button" class="btn btn-success choose_btn">下一步</button>
					<button id="backBtn-form-activitySetting" type="button" class="btn back choose_btn">返回</button>
					<button id="aboveBtn-form-activitySetting" style="display: none;" type="button" class="btn back choose_btn">上一步</button>
					<button id="saveBtn-form-activitySetting" style="display: none;" type="button" class="btn btn-success choose_btn">保存</button>
					<br/>
					<br/>
					<!----------------------- 设置页面结束----------------------- -->
					
				
					<!--标签弹出层-->
					<div id="labelChoose-activitySetting" class="mask none">
						<div class="detailed labelChoose">
							<button type="button" class="icon detailed_close"></button>
							<div class="labelChoose_title">
								<span>已选标签</span>
							</div>
							<div class="labelChoose_list clearfix">
								<ul>
								</ul>
							</div>
							<div class="labelChoose_seach">
								<span>查询标签</span>
								<div>
									<input class="form-control" id="likeMemberTagName-activitySetting" value="">
									<a id="queryTag_bt-activitySetting" href="#"><i class="input_icon input_seach"></i></a>
								</div>
							</div>
							<button type="button" id="tagSaveBtn-activitySetting" class="btn btn-success btn-block choose_btn">保存</button>
						</div>
					</div>
			
					<!-- 产品弹出层 -->
					<div id="chanPingTable" class="mask none">
						<div class="detailed labelChoose">
							<button type="button" class="icon detailed_close"></button>
							<div class="labelChoose_list clearfix">
								<div class="common_content_table box_shadow border10">
									<table id="productTable" class="easyui-datagrid" style="width:100%;height:300px" data-options="pagination:true,method:'get'">
										<thead>
											<tr>
												<th data-options="field:'productId',checkbox:true"></th>
												<th data-options="field:'productCode',width:180,align:'center',halign:'center'">产品编号</th>
												<th data-options="field:'productName',width:230,align:'center',halign:'center'">产品名称</th>
											</tr>
										</thead>
									</table>
								</div>
							</div>
							
							<div class="labelChoose_seach">
								<span>产品名称</span>
								<div>
									<input class="form-control" id="seach_product_name" name="productName" value="">
								</div>
								
								<span>产品编号</span>
								<div>
									<input class="form-control" id="seach_product_code" name="productCode" value="">
									<a id="seach_productBtn" href="#"><i class="input_icon input_seach"></i></a>
								</div>
							</div>
							<button type="button" id="saveProductForActivity" class="btn btn-success">保存</button>
						</div>
					</div>
				</form>
			</div>
			</div>
			
			<script type="text/javascript">
				$(function() {
					require(['activitySetting'], function(re) {
						re.init();
					});
					
// 					require(['selectTag']);
				});
				
			</script>
	</body>
</html>

